--- \cvs\pgsql\src\backend\commands\dbcommands.c	Fri Aug 09 16:45:14 2002
+++ \cvs\pgsql.nw2\src\backend\commands\dbcommands.c	Wed Aug 14 23:38:00 2002
@@ -277,6 +277,7 @@
 	if (mkdir(target_dir, S_IRWXU) != 0)
 		elog(ERROR, "CREATE DATABASE: unable to create database directory '%s': %m",
 			 target_dir);
+#ifndef N_PLAT_NLM
 	if (rmdir(target_dir) != 0)
 		elog(ERROR, "CREATE DATABASE: unable to remove temp directory '%s': %m",
 			 target_dir);
@@ -291,6 +292,9 @@
 
 	/* Copy the template database to the new location */
 	snprintf(buf, sizeof(buf), "cp -r '%s' '%s'", src_loc, target_dir);
+#else
+	snprintf(buf, sizeof(buf), "cp %s %s", src_loc, target_dir);
+#endif
 
 	if (system(buf) != 0)
 	{
@@ -735,7 +739,11 @@
 		}
 	}
 
+#ifdef N_PLAT_NLM
+	snprintf(buf, sizeof(buf), "rm %s -sy", target_dir);
+#else
 	snprintf(buf, sizeof(buf), "rm -rf '%s'", target_dir);
+#endif
 
 	if (system(buf) != 0)
 	{
